Page MenuHomePhabricator

Write unit tests for set_parameters() function in zuul config
Closed, ResolvedPublic

Description

Following up T125498: Zuul can only apply one parameter function. Prevent us from injecting both php55 and extension dependencies, we need unit tests for the new set_parameters() function.

  • The proper functions are being called for each job name
  • Make sure each job has that as a parameter-function.

Event Timeline

Legoktm created this task.Feb 8 2016, 1:17 AM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added a subscriber: Legoktm.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 8 2016, 1:17 AM
Johsthao closed this task as a duplicate of T126250: <spam>.Feb 8 2016, 6:24 PM
matmarex reopened this task as Open.Feb 8 2016, 6:32 PM
hashar added a subscriber: hashar.Nov 23 2016, 1:58 PM

integration/config has a few tests in:
tests/test_zuul_parameters.py
tests/test_zuul_ext_dependencies.py

hashar triaged this task as Normal priority.Nov 23 2016, 1:58 PM
hashar set Security to None.
hashar closed this task as Resolved.Apr 17 2019, 1:14 PM
hashar claimed this task.